unit Unit2;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ExtCtrls;

type

  { TEingabe }

  TEingabe = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Image1: TImage;
    Image2: TImage;
    Image3: TImage;
    Image4: TImage;
    Image5: TImage;
    Image6: TImage;
    Image7: TImage;
    Image8: TImage;
    Label1000er: TLabel;
    Label100er: TLabel;
    Label10er: TLabel;
    Label1er: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Image1Click(Sender: TObject);
    procedure Image3Click(Sender: TObject);
    procedure Image5Click(Sender: TObject);
    procedure Image7Click(Sender: TObject);
    procedure Image2Click(Sender: TObject);
    procedure Image4Click(Sender: TObject);
    procedure Image6Click(Sender: TObject);
    procedure Image8Click(Sender: TObject);
    function Zahlentest(Zahl: string):boolean;
  private
    FControl: TControl;
    procedure SetControl(AValue: TControl);

  public
    property Control: TControl read FControl write SetControl;
  end;

var
  Eingabe: TEingabe;
  rueckgabe : tobject;

implementation

{$R *.lfm}

{ TEingabe }


  procedure TEingabe.Button1Click(Sender: TObject);
  var
    labeltext: String;
  begin
   if FControl = nil then
     raise Exception.Create('Control darf nicht nil sein.');

   labeltext := label1000er.caption + label100er.caption + label10er.caption + label1er.caption;
   FControl.Caption := labelText;
   Close;
  end;

  procedure TEingabe.Button2Click(Sender: TObject);
  begin
    Close;
  end;

//procedure TEingabe.FormActivate(Sender: TObject);
procedure TEingabe.SetControl(AValue: TControl);
begin
 if AValue = nil then
   raise Exception.Create('Control darf nicht nil sein.');
 FControl := AValue;
 label1000er.caption := copy(FControl.Caption,1,1);
 if Zahlentest(label1000er.caption) = false then
  begin
   ShowMessage('Nur Zahlenwerte zulässig! Ersetze durch 0.');
   label1000er.Caption := '0';
  end;
 label100er.caption := copy(FControl.Caption,2,1);
 if Zahlentest(label100er.caption) = false then
  begin
   ShowMessage('Nur Zahlenwerte zulässig! Ersetze durch 0.');
   label100er.Caption := '0';
  end;
 label10er.caption := copy(FControl.Caption,3,1);
 if Zahlentest(label10er.caption) = false then
  begin
   ShowMessage('Nur Zahlenwerte zulässig! Ersetze durch 0.');
   label10er.Caption := '0';
  end;
 label1er.caption := copy(FControl.Caption,4,1);
 if Zahlentest(label1er.caption) = false then
  begin
   ShowMessage('Nur Zahlenwerte zulässig! Ersetze durch 0.');
   label1er.Caption := '0';
  end;
end;

function TEingabe.Zahlentest(Zahl: string):boolean;
begin
 case Zahl of
  '0', '1', '2', '3', '4', '5', '6', '7', '8', '9' : result := true;
  else result := false;
 end;
end;

procedure TEingabe.Image1Click(Sender: TObject);
begin
  if strtoint(label1000er.Caption) < 9 then label1000er.Caption := inttostr(strtoint(label1000er.Caption) + 1) else label1000er.Caption := '0';
end;
procedure TEingabe.Image3Click(Sender: TObject);
begin
  if strtoint(label100er.Caption) < 9 then label100er.Caption := inttostr(strtoint(label100er.Caption) + 1) else label100er.Caption := '0';
end;
procedure TEingabe.Image5Click(Sender: TObject);
begin
  if strtoint(label10er.Caption) < 9 then label10er.Caption := inttostr(strtoint(label10er.Caption) + 1) else label10er.Caption := '0';
end;
procedure TEingabe.Image7Click(Sender: TObject);
begin
  if strtoint(label1er.Caption) < 9 then label1er.Caption := inttostr(strtoint(label1er.Caption) + 1) else label1er.Caption := '0';
end;
procedure TEingabe.Image2Click(Sender: TObject);
begin
  if strtoint(label1000er.Caption) > 0 then label1000er.Caption := inttostr(strtoint(label1000er.Caption) - 1) else label1000er.Caption := '9';
end;
procedure TEingabe.Image4Click(Sender: TObject);
begin
  if strtoint(label100er.Caption) > 0 then label100er.Caption := inttostr(strtoint(label100er.Caption) - 1) else label100er.Caption := '9';
end;
procedure TEingabe.Image6Click(Sender: TObject);
begin
  if strtoint(label10er.Caption) > 0 then label10er.Caption := inttostr(strtoint(label10er.Caption) - 1) else label10er.Caption := '9';
end;
procedure TEingabe.Image8Click(Sender: TObject);
begin
  if strtoint(label1er.Caption) > 0 then label1er.Caption := inttostr(strtoint(label1er.Caption) - 1) else label1er.Caption := '9';
end;


end.

